Skip to navigation

Get Customer Metafield

Returns a single Customer Metafield.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

customerIdintegerRequired
The ID that belongs to the customer.
metafieldIdintegerRequired
The ID that is generated for a metafield when created.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

OK
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

404
Not Found Error